using System.Collections.Generic;
using System;
using System.Drawing;
using System.Diagnostics;
using System.Data;
using System.Collections;
using System.Windows.Forms;

namespace vmsnet
{
    public class ChartData
    {
        public double Volt { get; set; }
        public DateTime Time { get; set; }
    }
    public class ChartListData
    {
        public List<int> ChannelList;    //데이터 그룹별 채널 목록
        public List<string> FileList; //데이터 그룹별 파일목록
        public ChartListData()
        {
            ChannelList = new List<int>();    //데이터 그룹별 채널 목록
            FileList = new List<string>(); //데이터 그룹별 파일목록

        }
        /// <summary>
        /// 채널 및 파일목록을 초기화
        /// </summary>
        public void Clear()
        {
            ChannelList.Clear();
            FileList.Clear();
        }

        public override string ToString()
        {
            return $"{this.ChannelList.Count}Ch,{this.FileList.Count}Files";
        }
    }
}
